Home > Error Failed > Error Failed Dependencies /bin/sh

Error Failed Dependencies /bin/sh

Contents

From: Jim Knoble To: rpm-list redhat com Subject: Re: /usr/bin/bash Failed dependency??? been trying to install Roche Data Analysis V2.7 in ubuntu 11.10. James Add comment Your answer Attachments: Up to 2 attachments (including images) can be used with a maximum of 524.3 kB each and 1.0 MB total. Isn't that more expensive than an elevated system? http://invictanetworks.net/error-failed/error-failed-dependencies-libmysqlclient-so-15.html

you can investigate the dependencies of the rpm using rpm -qp --requires –Chris Maes May 20 at 9:20 Above command giving me output as /bin/sh /bin/sh /bin/sh Should I serve jury duty when I have no respect for the judge? Since CentOS is reportedly almost identical to RHEL, I think it should have at least mv and uname as parts of the coreutils package. Installation with --nodeps of course fixes the problem, but destroys the dependency mechanism of the packages. http://stackoverflow.com/questions/3959040/rpm-installation-fails-due-to-depencency-bin-sh-not-found

Error Failed Dependencies /bin/sh

I recommend you try downloading the 64-bit Splunk RPM instead. The script is unchanged at m28, but by the time I test m28 it will be m32 :( Comment 1 sparcmoz 2008-08-01 09:41:55 UTC Created attachment 55490 [details] error log Comment James Add comment 0 Oops! Join our community today!

  1. Probability that 3 points in a plane form a triangle Combination of liquid hydrogen and liquid oxygen When should I refuel my vehicle?
  2. Find all matrices that commute with a given square matrix Does Detect Magic allow you to recognize the shape of a magic item?
  3. upgrade) to use orig.

Note that registered members see fewer ads, and ContentLink is completely disabled once you log in. asked 3 years ago viewed 23542 times active 2 years ago Related 13Specifying alternatives in RPM dependencies1Error while installing RPM -%post script of spec-failed dependencies /bin/sh2Check RPM dependencies4How to build/deploy RPM(s) If I include --nodeps for the first run it will succeed - see patch attached. Error Failed Dependencies Libc.so.6 Is Needed By Asked: Apr 12, 2012 at 04:01 PM Seen: 4057 times Last updated: Apr 17, '12 Related Questions Whats a Splunk MD5 package install for? 1 Answer SplunkForwarder RPM Installer - Hostname

Got most of my golden beans at an auction on eBay (with a couple of free drinks). /bin/sh Is Needed By Rpm Installing the RPMs error: Failed dependencies: /bin/sh is needed by ooobasis3.0-dict-es-3.0.0-9330.sparc64 If the script is run a second time, it succeeds see run2.log. Now a newer version was released on May 5th 2014, and I would like to use it, as it works fine with JDK 1.7. http://stackoverflow.com/questions/37339685/rpm-install-error-failed-dependencies-bin-sh-is-needed-byrpmname error: Failed dependencies: /bin/sh is needed by sqldeveloper-4.0.1.14.48-1.noarch Used Alien to install the RPM package: sudo alien sqldeveloper-4.0.1.14.48-1.noarch.rpm which resulted in this error: error: db5 error(-30969) from dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database

Can Klingons swim? Error Failed Dependencies /usr/sbin/alternatives Is Needed Have you removed or modified it in any way lately? I'm downvoting this post because: * This will be publicly posted as a comment to help the poster and Splunk community learn more and improve. more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

/bin/sh Is Needed By Rpm

Join Date Oct 2005 Location Jacksonville, FL Beans 29,420 Re: Failed Dependencies when installing Java Originally Posted by IanWood Hi, I want to install Java JDK 6u10 in Hardy Heron. https://ubuntuforums.org/showthread.php?t=973444 sh rpm rhel share|improve this question edited Jul 6 '14 at 20:53 Eric Leschinski 46.4k23221190 asked Mar 6 '13 at 2:14 hyjqdy 911210 You should make your comment an Error Failed Dependencies /bin/sh Does Detect Magic allow you to recognize the shape of a magic item? Requires /bin/sh In which I am using SQL Developer 3.2.20.09 and it works fine.

The rpm-libs is missing on my machine. useful reference share|improve this answer answered Jul 2 '14 at 7:38 jaume 1385 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign Sudarshan Vyas (sudarshan-vyas-11) said on 2012-05-13: #4 Thanks Sam_, that solved my question. Please find logs mentioned below: [email protected]:/apps# rpm -i MySQL-server-5.5.24-1.linux2.6.i386.rpm rpm: RPM should not be used directly install RPM packages, use Alien instead! Rpm Requires /bin/sh

Code: cd ~/Desktop sudo mv java_filename.bin /opt cd /opt sudo chmod 755 java_filename.bin sudo ./java_filename.bin That would unpack it in /opt. If it is not in the man pages or the how-to's this is the place! How to approach senior colleague who saved over my work? my review here http://wiki.debian.org/Alien marcobra (Marco Braida) (marcobra) said on 2012-05-13: #2 RPM packages are made for RedHat and related distributions...

http://manpages.ubuntu.com/manpages/precise/en/man1/alien.1p.html RPM hasn't been obsoleted it only suggests alien in order to avoid conflicts. Error Failed Dependencies Rpmlib(filedigests) Has she came or Did She came When stating a theorem in textbook, use the word "For all" or "Let"? When I run the rpm -qf on the three items, it tells me that they are not owned by any package.

Section of a book that explains things Will something accelerate forever if a constant force is applied to it on a frictionless surface?

Why was Gilderoy Lockhart unable to be cured? Refine your search. Format For Printing -XML -Clone This Issue -Top of page First Last Prev Next This issue is not in your last search results. Rpm Error Failed Dependencies Conflicts With So using --nodeps is a bad solution.

If I put linenumber=1 I get this new message: jim@sun:~$ ./install_linux.sh /home/jim/RPMS /home/jim/m25 /tmp/fake-db-1.0-31691.noarch.rpm: not an rpm package (or package manifest): Its bedtime here - I will follow up tomorrow. All rights reserved. Please Note: this e-mail address is only for reporting problems with Apache OpenOffice (AOO) Bugzilla. get redirected here I want to keep 8.04 at work as the newer Xorg doesn't work well with the Matrox card in my PC.

Browse other questions tagged sh rpm rhel or ask your own question. Tweet Question Actions Stream Use this widget to see the actions stream for the question. Using parameter expansion to generate arguments list for `mkdir -p` Is it a fallacy, and if so which, to believe we are special because our existence on Earth seems improbable? Not the answer you're looking for?

blue_devilme View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by blue_devilme 04-10-2012, 11:59 PM #4 deep27ak Senior Member Registered: Aug 2011 Location: share|improve this answer answered Jul 7 '14 at 0:57 Eric Leschinski 46.4k23221190 add a comment| up vote 1 down vote accepted I have find root cause for this problem. Marasco May 20 at 23:22 | show 2 more comments active oldest votes Know someone who can answer? rpm share|improve this question asked May 20 at 6:44 Amar Patil 105 on which OS are you installing; such that /bin/sh is not present? –Chris Maes May 20 at

Ask a question Edit question Subscribers Subscribe Subscribe someone else • Take the tour • Read the guide © 2004-2016 CanonicalLtd. • Terms of use • Contact Launchpad Support • software-installation oracle rpm share|improve this question edited May 8 '14 at 4:58 karel 22.5k95165 asked May 8 '14 at 4:48 Samy 10613 Is there a specific reason why you